Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.ui.dataTypes
Class DataTypeConversionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.ibm.ulc.ui.dataTypes.DataTypeConversionException

public class DataTypeConversionException
extends java.lang.Exception

See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `fValue` The value that will be returned when getValue is called on this exception.

Constructor Summary
`DataTypeConversionException()` DataTypeConversionError is an exception that is thrown if the input String cannot be converted to the data type specified.
`DataTypeConversionException(java.lang.Object value)` DataTypeConversionError is an exception that is thrown if the input String cannot be converted to the data type specified.
`DataTypeConversionException(java.lang.String s)` DataTypeConversionError is an exception that is thrown if the input String cannot be converted to the data type specified.
`DataTypeConversionException(java.lang.String s, java.lang.Object value)` DataTypeConversionError is an exception that is thrown if the input String cannot be converted to the data type specified.

Method Summary
`java.lang.Object` | `getValue()` Returns the currently specified default value to be returned on an exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fValue

    protected java.lang.Object fValue

  The value that will be returned when getValue is called on this exception.

Constructor Detail

### DataTypeConversionException

    public DataTypeConversionException()

  DataTypeConversionError is an exception that is thrown if the input String cannot be converted to the data type specified.

### DataTypeConversionException

    public DataTypeConversionException(java.lang.Object value)

  DataTypeConversionError is an exception that is thrown if the input String cannot be converted to the data type specified.
  Parameters:
    `value` - The value to be returned in the exception when the getValue is called.

### DataTypeConversionException

    public DataTypeConversionException(java.lang.String s)

  DataTypeConversionError is an exception that is thrown if the input String cannot be converted to the data type specified.
  Parameters:
    `s` - java.lang.String The description of the exception

### DataTypeConversionException

    public DataTypeConversionException(java.lang.String s,
                                       java.lang.Object value)

  DataTypeConversionError is an exception that is thrown if the input String cannot be converted to the data type specified.
  Parameters:
    `value` - The value to be returned in the exception when the getValue is called.
    `s` - java.lang.String The description of the exception

Method Detail

### getValue

    public java.lang.Object getValue()

  Returns the currently specified default value to be returned on an exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD